namespace SafeCampus.Application.Services.Business.CameraInfoService;

public class CameraInfoDto:CameraInfo
{
    public string UserName { get; set; }
    public string GroupName { get; set; }
}
public class CameraInfoDtoMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<CameraInfo, CameraInfoDto>()
            .Map(dest => dest.GroupName, src => src.CameraGroupItem.Name)
            .Map(dest => dest.UserName, src => src.SysUserItem.Name);
    }
}